org.apache.http.osgi.services

## Interface ProxyConfiguration

All Known Implementing Classes:
  OSGiProxyConfiguration

    public interface ProxyConfiguration

Since:
  4.3

### Method Summary

Methods
`String` `getHostname()`
`String` `getPassword()`
`int` `getPort()`
`String[]` `getProxyExceptions()`
`String` `getUsername()`
`boolean` `isEnabled()`

### Method Detail

#### isEnabled

    boolean isEnabled()

#### getHostname

    String getHostname()

#### getPort

    int getPort()

#### getUsername

    String getUsername()

#### getPassword

    String getPassword()

#### getProxyExceptions

    String[] getProxyExceptions()